import express from "express";
import { register, login, checkAuth, logout } from "../controllers/authController.js";
import verifyCookies from "../middleware/authMiddleware.js";

const router = express.Router();

router.post("/register", register);
router.post("/login", login);
router.get("/check", verifyCookies, checkAuth);
router.post("/logout", verifyCookies, logout);

export default router;
